# portinstall – Installing packages from FreeBSD’s ports system

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Manage packages for FreeBSD using ‘portinstall’.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | name of package to install/remove

state
-

Choices:
- present ←
- absent

state of the package

use_packages
boolean

Choices:
- no
- yes ←

use packages instead of ports whenever available

## Examples

    # Install package foo
    - portinstall:
        name: foo
        state: present

    # Install package security/cyrus-sasl2-saslauthd
    - portinstall:
        name: security/cyrus-sasl2-saslauthd
        state: present

    # Remove packages foo and bar
    - portinstall:
        name: foo,bar
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- berenddeboer (@berenddeboer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.